% Project: foldn
% Module:  basic list predicates
% Author:  Alwen Tiu
% Date:    11/30/01

module list.

remove X (X::L) L.
remove X (Y::L) (Y::K) :- remove X L K.

member X (X::L).
member X (Y::L) :- member X L.

append nil L L.
append (X::L) K (X::M) :- append L K M.

% get the n-th member of a list
membern 1 A [A|L].
membern N A [B|L] :-
   N > 1, N' is N - 1,
   membern N' A L.