% Module printer
%
% Copyright (C) 2003 Alwen Tiu
%
%   This program is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation; either version 2 of the License, or (at
% your option) any later version.
% 
%   This program is distributed in the hope that it will be useful, but
% WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
% General Public License for more details.
%
%   You should have received a copy of the GNU General Public License
% along with this program; if not, write to the Free Software Foundation,
% Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


% Module: printer
% Author: Alwen Tiu
% Date: 8/26/03

sig printer.
accum_sig lincsig.


type print_ListSequent out_stream -> list sequent -> o.
type print_NumberedSequent int -> out_stream -> list sequent -> o.
type print_signat out_stream -> list signat -> o.
type print_sequent out_stream -> sequent -> o.
type print_lterm out_stream -> int -> tm -> o.

type print_ltype out_stream -> ty -> o.
type print_def out_stream -> defn -> o.
type print_listTerms out_stream -> list tm -> o.
type print_ListTermsDlmt out_stream -> list tm -> o.

type print_ListSequentDlmt out_stream -> list sequent -> o.
