% Module stt (signature file)
%
% Copyright (C) 2003 Alwen Tiu
%
%   This program is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation; either version 2 of the License, or (at
% your option) any later version.
% 
%   This program is distributed in the hope that it will be useful, but
% WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
% General Public License for more details.
%
%   You should have received a copy of the GNU General Public License
% along with this program; if not, write to the Free Software Foundation,
% Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


% Module: stt
% Author: Alwen Tiu
% Date: 8/26/03
% Description:
%   provides basic predicates for manipulating simply typed lambda terms, 
%   e.g., evaluation, type checking, etc.

sig stt.

accum_sig lincsig.
     
type typeof list ty -> list signat -> tm -> ty -> o.
type eval list signat -> tm -> tm -> o.
type seqOK list ty -> list signat -> sequent -> o.
type defOK defn -> o.
%type get_next_idx list signat -> int -> o.
type get_next_fvar list signat -> int -> tm -> o.
type linc_copy tm -> tm -> o.

