% Module lincparser
%
% Copyright (C) 2003 Alwen Tiu
%
%   This program is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation; either version 2 of the License, or (at
% your option) any later version.
% 
%   This program is distributed in the hope that it will be useful, but
% WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
% General Public License for more details.
%
%   You should have received a copy of the GNU General Public License
% along with this program; if not, write to the Free Software Foundation,
% Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


module lincparser.
accumulate lincgrammar.

first telparen lparen.
first (nontermst _2634) (id _2592).
first (id_list _2583) (id _2592).
first (linc_type _2486) lparen.
first (linc_type _2454) linc_symFormt.
first (linc_type _2412) (id _2421).
first (linc_term _833) linc_symExists.
first (linc_term _833) linc_symAll.
first (linc_term _833) linc_symFalse.
first (linc_term _833) linc_symTrue.
first (linc_term _833) lparen.
first (linc_term _833) (id _1811).
first (linc_defBody _1765) (id _1811).
first (linc_defBody _1765) lparen.
first (linc_defBody _1765) linc_symTrue.
first (linc_defBody _1765) linc_symFalse.
first (linc_defBody _1765) linc_symAll.
first (linc_defBody _1765) linc_symExists.
first (linc_defHead _1723) (id _1732).
first (linc_defClause _1146) linc_symCoInd.
first (linc_defClause _1146) linc_symInd.
first (linc_typeDcl _615) linc_symType.
first (linc_typeDcls _1466) linc_symType.
first (linc_kindDcl _1036) linc_symKind.
first (linc_kindDcls _1337) linc_symKind.
first (linc_defnb _1138) linc_symInd.
first (linc_defnb _1138) linc_symCoInd.
first (linc_defnb _1083) linc_symType.
first (linc_defnb _1028) linc_symKind.
first (linc_defn _318) linc_symDefName.
first (linc_tmList _825) (id _1811).
first (linc_tmList _825) lparen.
first (linc_tmList _825) linc_symTrue.
first (linc_tmList _825) linc_symFalse.
first (linc_tmList _825) linc_symAll.
first (linc_tmList _825) linc_symExists.
first (linc_seqBody _723) linc_symType.
first (linc_seqBody _662) linc_symHyp.
first (linc_seqBody _607) linc_symType.
first (linc_seqBody2 _564) linc_symGoal.
first (linc_sequent _354) linc_symSeq.
first (linc_seqList _277) linc_symSeq.
first (linc_root _307) linc_symDefName.
first (linc_root _264) linc_symSeq.
first X X :- terminal X.

parse [linc_sequent _19653,B|Alpha] [A|Beta] Result "shift" :- 
	 memb B (bols :: bofs :: linc_sequent _25218 :: nil), first (linc_seqList _19662) A, !, parse [A,linc_sequent _19653,B|Alpha] Beta Result Str.
parse [linc_symSeq,B|Alpha] [A|Beta] Result "shift" :- 
	 memb B (bols :: bofs :: linc_sequent _26139 :: nil), first (id _19749) A, !, parse [A,linc_symSeq,B|Alpha] Beta Result Str.
parse [id _19749,linc_symSeq,B|Alpha] [A|Beta] Result "shift" :- 
	 memb B (bols :: bofs :: linc_sequent _26139 :: nil), first (linc_dot) A, !, parse [A,id _19749,linc_symSeq,B|Alpha] Beta Result Str.
parse [linc_dot,id _19749,linc_symSeq,B|Alpha] [A|Beta] Result "shift" :- 
	 memb B (bols :: bofs :: linc_sequent _26139 :: nil), first (linc_seqBody _19760) A, !, parse [A,linc_dot,id _19749,linc_symSeq,B|Alpha] Beta Result Str.
parse [linc_seqBody _19760,linc_dot,id _19749,linc_symSeq,B|Alpha] [A|Beta] Result "shift" :- 
	 memb B (bols :: bofs :: linc_sequent _26139 :: nil), first (linc_seqBody2 _19769) A, !, parse [A,linc_seqBody _19760,linc_dot,id _19749,linc_symSeq,B|Alpha] Beta Result Str.
parse [linc_symSeq,B|Alpha] [A|Beta] Result "shift" :- 
	 memb B (bols :: bofs :: linc_sequent _27084 :: nil), first (id _19815) A, !, parse [A,linc_symSeq,B|Alpha] Beta Result Str.
parse [id _19815,linc_symSeq,B|Alpha] [A|Beta] Result "shift" :- 
	 memb B (bols :: bofs :: linc_sequent _27084 :: nil), first (linc_dot) A, !, parse [A,id _19815,linc_symSeq,B|Alpha] Beta Result Str.
parse [linc_dot,id _19815,linc_symSeq,B|Alpha] [A|Beta] Result "shift" :- 
	 memb B (bols :: bofs :: linc_sequent _27084 :: nil), first (linc_seqBody2 _19827) A, !, parse [A,linc_dot,id _19815,linc_symSeq,B|Alpha] Beta Result Str.
parse [linc_symGoal,B|Alpha] [A|Beta] Result "shift" :- 
	 memb B (bols :: linc_seqBody _28025 :: linc_dot :: nil), first (linc_term _19874) A, !, parse [A,linc_symGoal,B|Alpha] Beta Result Str.
parse [linc_term _19874,linc_symGoal,B|Alpha] [A|Beta] Result "shift" :- 
	 memb B (bols :: linc_seqBody _28025 :: linc_dot :: nil), first (linc_dot) A, !, parse [A,linc_term _19874,linc_symGoal,B|Alpha] Beta Result Str.
parse [linc_typeDcl _19914,B|Alpha] [A|Beta] Result "shift" :- 
	 memb B (bols :: linc_typeDcl _29270 :: linc_dot :: nil), first (linc_seqBody _19923) A, !, parse [A,linc_typeDcl _19914,B|Alpha] Beta Result Str.
parse [linc_symHyp,B|Alpha] [A|Beta] Result "shift" :- 
	 memb B (bols :: linc_typeDcl _29773 :: linc_dot :: nil), first (linc_tmList _19972) A, !, parse [A,linc_symHyp,B|Alpha] Beta Result Str.
parse [linc_tmList _19972,linc_symHyp,B|Alpha] [A|Beta] Result "shift" :- 
	 memb B (bols :: linc_typeDcl _29773 :: linc_dot :: nil), first (linc_dot) A, !, parse [A,linc_tmList _19972,linc_symHyp,B|Alpha] Beta Result Str.
parse [linc_dot,linc_tmList _19972,linc_symHyp,B|Alpha] [A|Beta] Result "shift" :- 
	 memb B (bols :: linc_typeDcl _29773 :: linc_dot :: nil), first (linc_seqBody _19984) A, !, parse [A,linc_dot,linc_tmList _19972,linc_symHyp,B|Alpha] Beta Result Str.
parse [linc_symHyp,B|Alpha] [A|Beta] Result "shift" :- 
	 memb B (bols :: linc_typeDcl _30779 :: linc_dot :: nil), first (linc_tmList _20081) A, !, parse [A,linc_symHyp,B|Alpha] Beta Result Str.
parse [linc_tmList _20081,linc_symHyp,B|Alpha] [A|Beta] Result "shift" :- 
	 memb B (bols :: linc_typeDcl _30779 :: linc_dot :: nil), first (linc_dot) A, !, parse [A,linc_tmList _20081,linc_symHyp,B|Alpha] Beta Result Str.
parse [linc_term _20132,B|Alpha] [A|Beta] Result "shift" :- 
	 memb B (bols :: linc_symHyp :: linc_comma :: nil), first (linc_comma) A, !, parse [A,linc_term _20132,B|Alpha] Beta Result Str.
parse [linc_comma,linc_term _20132,B|Alpha] [A|Beta] Result "shift" :- 
	 memb B (bols :: linc_symHyp :: linc_comma :: nil), first (linc_tmList _20144) A, !, parse [A,linc_comma,linc_term _20132,B|Alpha] Beta Result Str.
parse [linc_symDefName,B|Alpha] [A|Beta] Result "shift" :- 
	 memb B (bols :: bofs :: nil), first (id _20231) A, !, parse [A,linc_symDefName,B|Alpha] Beta Result Str.
parse [id _20231,linc_symDefName,B|Alpha] [A|Beta] Result "shift" :- 
	 memb B (bols :: bofs :: nil), first (linc_dot) A, !, parse [A,id _20231,linc_symDefName,B|Alpha] Beta Result Str.
parse [linc_dot,id _20231,linc_symDefName,B|Alpha] [A|Beta] Result "shift" :- 
	 memb B (bols :: bofs :: nil), first (linc_defnb _20243) A, !, parse [A,linc_dot,id _20231,linc_symDefName,B|Alpha] Beta Result Str.
parse [linc_symDefName,B|Alpha] [A|Beta] Result "shift" :- 
	 memb B (bols :: bofs :: nil), first (id _20288) A, !, parse [A,linc_symDefName,B|Alpha] Beta Result Str.
parse [id _20288,linc_symDefName,B|Alpha] [A|Beta] Result "shift" :- 
	 memb B (bols :: bofs :: nil), first (linc_dot) A, !, parse [A,id _20288,linc_symDefName,B|Alpha] Beta Result Str.
parse [linc_kindDcl _20335,B|Alpha] [A|Beta] Result "shift" :- 
	 memb B (bols :: linc_dot :: linc_kindDcl _33045 :: linc_typeDcl _33009 :: linc_defClause _32979 :: nil), first (linc_defnb _20344) A, !, parse [A,linc_kindDcl _20335,B|Alpha] Beta Result Str.
parse [linc_typeDcl _20390,B|Alpha] [A|Beta] Result "shift" :- 
	 memb B (bols :: linc_dot :: linc_kindDcl _33760 :: linc_typeDcl _33724 :: linc_defClause _33694 :: nil), first (linc_defnb _20399) A, !, parse [A,linc_typeDcl _20390,B|Alpha] Beta Result Str.
parse [linc_defClause _20445,B|Alpha] [A|Beta] Result "shift" :- 
	 memb B (bols :: linc_dot :: linc_kindDcl _34475 :: linc_typeDcl _34439 :: linc_defClause _34409 :: nil), first (linc_defnb _20454) A, !, parse [A,linc_defClause _20445,B|Alpha] Beta Result Str.
parse [linc_kindDcl _20644,B|Alpha] [A|Beta] Result "shift" :- 
	 memb B (bols :: linc_kindDcl _37072 :: nil), first (linc_kindDcls _20653) A, !, parse [A,linc_kindDcl _20644,B|Alpha] Beta Result Str.
parse [linc_symKind,B|Alpha] [A|Beta] Result "shift" :- 
	 memb B (bols :: linc_dot :: linc_typeDcl _37570 :: linc_defClause _37540 :: linc_kindDcl _37606 :: nil), first (id_list _20732) A, !, parse [A,linc_symKind,B|Alpha] Beta Result Str.
parse [id_list _20732,linc_symKind,B|Alpha] [A|Beta] Result "shift" :- 
	 memb B (bols :: linc_dot :: linc_typeDcl _37570 :: linc_defClause _37540 :: linc_kindDcl _37606 :: nil), first (linc_symType) A, !, parse [A,id_list _20732,linc_symKind,B|Alpha] Beta Result Str.
parse [linc_symType,id_list _20732,linc_symKind,B|Alpha] [A|Beta] Result "shift" :- 
	 memb B (bols :: linc_dot :: linc_typeDcl _37570 :: linc_defClause _37540 :: linc_kindDcl _37606 :: nil), first (linc_dot) A, !, parse [A,linc_symType,id_list _20732,linc_symKind,B|Alpha] Beta Result Str.
parse [linc_typeDcl _20773,B|Alpha] [A|Beta] Result "shift" :- 
	 memb B (bols :: linc_typeDcl _39135 :: nil), first (linc_typeDcls _20782) A, !, parse [A,linc_typeDcl _20773,B|Alpha] Beta Result Str.
parse [linc_symType,B|Alpha] [A|Beta] Result "shift" :- 
	 memb B (bols :: linc_dot :: linc_kindDcl _40451 :: linc_defClause _40385 :: linc_typeDcl _39626 :: nil), first (id_list _20861) A, !, parse [A,linc_symType,B|Alpha] Beta Result Str.
parse [id_list _20861,linc_symType,B|Alpha] [A|Beta] Result "shift" :- 
	 memb B (bols :: linc_dot :: linc_kindDcl _40451 :: linc_defClause _40385 :: linc_typeDcl _39626 :: nil), first (linc_type _20869) A, !, parse [A,id_list _20861,linc_symType,B|Alpha] Beta Result Str.
parse [linc_type _20869,id_list _20861,linc_symType,B|Alpha] [A|Beta] Result "shift" :- 
	 memb B (bols :: linc_dot :: linc_kindDcl _40451 :: linc_defClause _40385 :: linc_typeDcl _39626 :: nil), first (linc_dot) A, !, parse [A,linc_type _20869,id_list _20861,linc_symType,B|Alpha] Beta Result Str.
parse [linc_symInd,B|Alpha] [A|Beta] Result "shift" :- 
	 memb B (bols :: linc_dot :: linc_kindDcl _42629 :: linc_typeDcl _42593 :: linc_defClause _42563 :: nil), first (linc_defHead _20911) A, !, parse [A,linc_symInd,B|Alpha] Beta Result Str.
parse [linc_defHead _20911,linc_symInd,B|Alpha] [A|Beta] Result "shift" :- 
	 memb B (bols :: linc_dot :: linc_kindDcl _42629 :: linc_typeDcl _42593 :: linc_defClause _42563 :: nil), first (linc_symDef) A, !, parse [A,linc_defHead _20911,linc_symInd,B|Alpha] Beta Result Str.
parse [linc_symDef,linc_defHead _20911,linc_symInd,B|Alpha] [A|Beta] Result "shift" :- 
	 memb B (bols :: linc_dot :: linc_kindDcl _42629 :: linc_typeDcl _42593 :: linc_defClause _42563 :: nil), first (linc_defBody _20922) A, !, parse [A,linc_symDef,linc_defHead _20911,linc_symInd,B|Alpha] Beta Result Str.
parse [linc_defBody _20922,linc_symDef,linc_defHead _20911,linc_symInd,B|Alpha] [A|Beta] Result "shift" :- 
	 memb B (bols :: linc_dot :: linc_kindDcl _42629 :: linc_typeDcl _42593 :: linc_defClause _42563 :: nil), first (linc_dot) A, !, parse [A,linc_defBody _20922,linc_symDef,linc_defHead _20911,linc_symInd,B|Alpha] Beta Result Str.
parse [linc_symCoInd,B|Alpha] [A|Beta] Result "shift" :- 
	 memb B (bols :: linc_dot :: linc_kindDcl _44046 :: linc_typeDcl _44010 :: linc_defClause _43980 :: nil), first (linc_defHead _20911) A, !, parse [A,linc_symCoInd,B|Alpha] Beta Result Str.
parse [linc_defHead _20911,linc_symCoInd,B|Alpha] [A|Beta] Result "shift" :- 
	 memb B (bols :: linc_dot :: linc_kindDcl _44046 :: linc_typeDcl _44010 :: linc_defClause _43980 :: nil), first (linc_symDef) A, !, parse [A,linc_defHead _20911,linc_symCoInd,B|Alpha] Beta Result Str.
parse [linc_symDef,linc_defHead _20911,linc_symCoInd,B|Alpha] [A|Beta] Result "shift" :- 
	 memb B (bols :: linc_dot :: linc_kindDcl _44046 :: linc_typeDcl _44010 :: linc_defClause _43980 :: nil), first (linc_defBody _20922) A, !, parse [A,linc_symDef,linc_defHead _20911,linc_symCoInd,B|Alpha] Beta Result Str.
parse [linc_defBody _20922,linc_symDef,linc_defHead _20911,linc_symCoInd,B|Alpha] [A|Beta] Result "shift" :- 
	 memb B (bols :: linc_dot :: linc_kindDcl _44046 :: linc_typeDcl _44010 :: linc_defClause _43980 :: nil), first (linc_dot) A, !, parse [A,linc_defBody _20922,linc_symDef,linc_defHead _20911,linc_symCoInd,B|Alpha] Beta Result Str.
parse [lparen,B|Alpha] [A|Beta] Result "shift" :- 
	 memb B (bols :: linc_symGoal :: linc_symHyp :: linc_comma :: linc_symDef :: lparen :: linc_symEq :: linc_term _51990 :: linc_symAbs :: linc_symAnd :: linc_symOr :: linc_symImp :: linc_symAll :: linc_symExists :: nil), first (linc_term _21154) A, !, parse [A,lparen,B|Alpha] Beta Result Str.
parse [linc_term _21154,lparen,B|Alpha] [A|Beta] Result "shift" :- 
	 memb B (bols :: linc_symGoal :: linc_symHyp :: linc_comma :: linc_symDef :: lparen :: linc_symEq :: linc_term _51990 :: linc_symAbs :: linc_symAnd :: linc_symOr :: linc_symImp :: linc_symAll :: linc_symExists :: nil), first (rparen) A, !, parse [A,linc_term _21154,lparen,B|Alpha] Beta Result Str.
parse [linc_term _21194,B|Alpha] [A|Beta] Result "shift" :- 
	 memb B (bols :: linc_symGoal :: linc_symHyp :: linc_comma :: linc_symDef :: lparen :: linc_symEq :: linc_term _55943 :: linc_symAbs :: linc_symAnd :: linc_symOr :: linc_symImp :: linc_symAll :: linc_symExists :: nil), first (linc_symEq) A, !, parse [A,linc_term _21194,B|Alpha] Beta Result Str.
parse [linc_symEq,linc_term _21194,B|Alpha] [A|Beta] Result "shift" :- 
	 memb B (bols :: linc_symGoal :: linc_symHyp :: linc_comma :: linc_symDef :: lparen :: linc_symEq :: linc_term _55943 :: linc_symAbs :: linc_symAnd :: linc_symOr :: linc_symImp :: linc_symAll :: linc_symExists :: nil), first (linc_term _21206) A, !, parse [A,linc_symEq,linc_term _21194,B|Alpha] Beta Result Str.
parse [linc_term _21254,B|Alpha] [A|Beta] Result "shift" :- 
	 memb B (bols :: linc_symGoal :: linc_symHyp :: linc_comma :: linc_symDef :: lparen :: linc_symEq :: linc_term _59896 :: linc_symAbs :: linc_symAnd :: linc_symOr :: linc_symImp :: linc_symAll :: linc_symExists :: nil), first (linc_term _21263) A, !, parse [A,linc_term _21254,B|Alpha] Beta Result Str.
parse [id _21305,B|Alpha] [A|Beta] Result "shift" :- 
	 memb B (bols :: linc_symGoal :: linc_symHyp :: linc_comma :: linc_symDef :: lparen :: linc_symEq :: linc_term _63849 :: linc_symAbs :: linc_symAnd :: linc_symOr :: linc_symImp :: linc_symAll :: linc_symExists :: nil), first (linc_colon) A, !, parse [A,id _21305,B|Alpha] Beta Result Str.
parse [linc_colon,id _21305,B|Alpha] [A|Beta] Result "shift" :- 
	 memb B (bols :: linc_symGoal :: linc_symHyp :: linc_comma :: linc_symDef :: lparen :: linc_symEq :: linc_term _63849 :: linc_symAbs :: linc_symAnd :: linc_symOr :: linc_symImp :: linc_symAll :: linc_symExists :: nil), first (linc_type _21316) A, !, parse [A,linc_colon,id _21305,B|Alpha] Beta Result Str.
parse [linc_type _21316,linc_colon,id _21305,B|Alpha] [A|Beta] Result "shift" :- 
	 memb B (bols :: linc_symGoal :: linc_symHyp :: linc_comma :: linc_symDef :: lparen :: linc_symEq :: linc_term _63849 :: linc_symAbs :: linc_symAnd :: linc_symOr :: linc_symImp :: linc_symAll :: linc_symExists :: nil), first (linc_symAbs) A, !, parse [A,linc_type _21316,linc_colon,id _21305,B|Alpha] Beta Result Str.
parse [linc_symAbs,linc_type _21316,linc_colon,id _21305,B|Alpha] [A|Beta] Result "shift" :- 
	 memb B (bols :: linc_symGoal :: linc_symHyp :: linc_comma :: linc_symDef :: lparen :: linc_symEq :: linc_term _63849 :: linc_symAbs :: linc_symAnd :: linc_symOr :: linc_symImp :: linc_symAll :: linc_symExists :: nil), first (linc_term _21328) A, !, parse [A,linc_symAbs,linc_type _21316,linc_colon,id _21305,B|Alpha] Beta Result Str.
parse [linc_term _21447,B|Alpha] [A|Beta] Result "shift" :- 
	 memb B (bols :: linc_symGoal :: linc_symHyp :: linc_comma :: linc_symDef :: lparen :: linc_symEq :: linc_term _75708 :: linc_symAbs :: linc_symAnd :: linc_symOr :: linc_symImp :: linc_symAll :: linc_symExists :: nil), first (linc_symAnd) A, !, parse [A,linc_term _21447,B|Alpha] Beta Result Str.
parse [linc_symAnd,linc_term _21447,B|Alpha] [A|Beta] Result "shift" :- 
	 memb B (bols :: linc_symGoal :: linc_symHyp :: linc_comma :: linc_symDef :: lparen :: linc_symEq :: linc_term _75708 :: linc_symAbs :: linc_symAnd :: linc_symOr :: linc_symImp :: linc_symAll :: linc_symExists :: nil), first (linc_term _21459) A, !, parse [A,linc_symAnd,linc_term _21447,B|Alpha] Beta Result Str.
parse [linc_term _21507,B|Alpha] [A|Beta] Result "shift" :- 
	 memb B (bols :: linc_symGoal :: linc_symHyp :: linc_comma :: linc_symDef :: lparen :: linc_symEq :: linc_term _79661 :: linc_symAbs :: linc_symAnd :: linc_symOr :: linc_symImp :: linc_symAll :: linc_symExists :: nil), first (linc_symOr) A, !, parse [A,linc_term _21507,B|Alpha] Beta Result Str.
parse [linc_symOr,linc_term _21507,B|Alpha] [A|Beta] Result "shift" :- 
	 memb B (bols :: linc_symGoal :: linc_symHyp :: linc_comma :: linc_symDef :: lparen :: linc_symEq :: linc_term _79661 :: linc_symAbs :: linc_symAnd :: linc_symOr :: linc_symImp :: linc_symAll :: linc_symExists :: nil), first (linc_term _21519) A, !, parse [A,linc_symOr,linc_term _21507,B|Alpha] Beta Result Str.
parse [linc_term _21567,B|Alpha] [A|Beta] Result "shift" :- 
	 memb B (bols :: linc_symGoal :: linc_symHyp :: linc_comma :: linc_symDef :: lparen :: linc_symEq :: linc_term _83614 :: linc_symAbs :: linc_symAnd :: linc_symOr :: linc_symImp :: linc_symAll :: linc_symExists :: nil), first (linc_symImp) A, !, parse [A,linc_term _21567,B|Alpha] Beta Result Str.
parse [linc_symImp,linc_term _21567,B|Alpha] [A|Beta] Result "shift" :- 
	 memb B (bols :: linc_symGoal :: linc_symHyp :: linc_comma :: linc_symDef :: lparen :: linc_symEq :: linc_term _83614 :: linc_symAbs :: linc_symAnd :: linc_symOr :: linc_symImp :: linc_symAll :: linc_symExists :: nil), first (linc_term _21579) A, !, parse [A,linc_symImp,linc_term _21567,B|Alpha] Beta Result Str.
parse [linc_symAll,B|Alpha] [A|Beta] Result "shift" :- 
	 memb B (bols :: linc_symGoal :: linc_symHyp :: linc_comma :: linc_symDef :: lparen :: linc_symEq :: linc_term _87567 :: linc_symAbs :: linc_symAnd :: linc_symOr :: linc_symImp :: linc_symAll :: linc_symExists :: nil), first (linc_term _21631) A, !, parse [A,linc_symAll,B|Alpha] Beta Result Str.
parse [linc_symExists,B|Alpha] [A|Beta] Result "shift" :- 
	 memb B (bols :: linc_symGoal :: linc_symHyp :: linc_comma :: linc_symDef :: lparen :: linc_symEq :: linc_term _91520 :: linc_symAbs :: linc_symAnd :: linc_symOr :: linc_symImp :: linc_symAll :: linc_symExists :: nil), first (linc_term _21677) A, !, parse [A,linc_symExists,B|Alpha] Beta Result Str.
parse [telparen,B|Alpha] [A|Beta] Result "shift" :- 
	 memb B (bols :: id_list _95920 :: linc_colon :: telparen :: linc_symArr :: nil), first (linc_type _21796) A, !, parse [A,telparen,B|Alpha] Beta Result Str.
parse [linc_type _21796,telparen,B|Alpha] [A|Beta] Result "shift" :- 
	 memb B (bols :: id_list _95920 :: linc_colon :: telparen :: linc_symArr :: nil), first (rparen) A, !, parse [A,linc_type _21796,telparen,B|Alpha] Beta Result Str.
parse [linc_type _21836,B|Alpha] [A|Beta] Result "shift" :- 
	 memb B (bols :: id_list _96903 :: linc_colon :: telparen :: linc_symArr :: nil), first (linc_symArr) A, !, parse [A,linc_type _21836,B|Alpha] Beta Result Str.
parse [linc_symArr,linc_type _21836,B|Alpha] [A|Beta] Result "shift" :- 
	 memb B (bols :: id_list _96903 :: linc_colon :: telparen :: linc_symArr :: nil), first (linc_type _21848) A, !, parse [A,linc_symArr,linc_type _21836,B|Alpha] Beta Result Str.
parse [nontermst _21933,B|Alpha] [A|Beta] Result "shift" :- 
	 memb B (bols :: linc_symKind :: linc_symType :: nil), first (id _21942) A, !, parse [A,nontermst _21933,B|Alpha] Beta Result Str.
parse [id_list _21983,B|Alpha] [A|Beta] Result "shift" :- 
	 memb B (bols :: linc_symKind :: linc_symType :: nil), first (linc_comma) A, !, parse [A,id_list _21983,B|Alpha] Beta Result Str.
parse [bofs] [A|B] R "shift" :- 
	first (linc_root _162657) A, parse [A,bofs] B R Str.
startparse START [bols] [A|B] R "shift" :- 
	first (START) A, parse [A,bols] B R Str,!.
parse [Sx,bofs] [eofs] Sx "accept" :- start_symbol Sx.
parse [Sx,bols] [eols] Sx "accept" :- !.
parse [linc_seqList _19576,B|Alpha] [A|Beta] Result "reduce" :- 
	memb B (bols :: bofs :: nil), memb Sym (eols :: eofs :: nil), first Sym A, !, 
	(_19563 = _19576), parse [linc_root _19563,B|Alpha] [A|Beta] Result Str.
parse [linc_defn _19617,B|Alpha] [A|Beta] Result "reduce" :- 
	memb B (bols :: bofs :: nil), memb Sym (eols :: eofs :: nil), first Sym A, !, 
	(_19606 = _19617), parse [linc_root _19606,B|Alpha] [A|Beta] Result Str.
parse [linc_seqList _19662,linc_sequent _19653,B|Alpha] [A|Beta] Result "reduce" :- 
	memb B (bols :: bofs :: linc_sequent _25218 :: nil), memb Sym (eols :: eofs :: nil), first Sym A, !, 
	(_19645 = _19653 :: _19662), parse [linc_seqList _19645,B|Alpha] [A|Beta] Result Str.
parse [linc_sequent _19704,B|Alpha] [A|Beta] Result "reduce" :- 
	memb B (bols :: bofs :: linc_sequent _25648 :: nil), memb Sym (eols :: eofs :: nil), first Sym A, !, 
	(_19645 = _19704 :: nil), parse [linc_seqList _19645,B|Alpha] [A|Beta] Result Str.
parse [linc_seqBody2 _19769,linc_seqBody _19760,linc_dot,id _19749,linc_symSeq,B|Alpha] [A|Beta] Result "reduce" :- 
	memb B (bols :: bofs :: linc_sequent _26139 :: nil), memb Sym (eols :: linc_seqList _26778 :: eofs :: nil), first Sym A, !, 
	(_19738 = linc_seqRoot _19749 _19760 _19769), parse [linc_sequent _19738,B|Alpha] [A|Beta] Result Str.
parse [linc_seqBody2 _19827,linc_dot,id _19815,linc_symSeq,B|Alpha] [A|Beta] Result "reduce" :- 
	memb B (bols :: bofs :: linc_sequent _27084 :: nil), memb Sym (eols :: linc_seqList _27723 :: eofs :: nil), first Sym A, !, 
	(_19738 = linc_seqRoot _19815 nil _19827), parse [linc_sequent _19738,B|Alpha] [A|Beta] Result Str.
parse [linc_dot,linc_term _19874,linc_symGoal,B|Alpha] [A|Beta] Result "reduce" :- 
	memb B (bols :: linc_seqBody _28025 :: linc_dot :: nil), memb Sym (eols :: linc_seqList _28477 :: eofs :: nil), first Sym A, !, 
	(_19863 = _19874), parse [linc_seqBody2 _19863,B|Alpha] [A|Beta] Result Str.
parse [linc_seqBody _19923,linc_typeDcl _19914,B|Alpha] [A|Beta] Result "reduce" :- 
	memb B (bols :: linc_typeDcl _29270 :: linc_dot :: nil), memb Sym (eols :: linc_seqBody2 _29445 :: nil), first Sym A, !, 
	(_19906 = linc_seqSig _19914 :: _19923), parse [linc_seqBody _19906,B|Alpha] [A|Beta] Result Str.
parse [linc_seqBody _19984,linc_dot,linc_tmList _19972,linc_symHyp,B|Alpha] [A|Beta] Result "reduce" :- 
	memb B (bols :: linc_typeDcl _29773 :: linc_dot :: nil), memb Sym (eols :: linc_seqBody2 _29948 :: nil), first Sym A, !, 
	(_19906 = linc_seqHyp _19972 :: _19984), parse [linc_seqBody _19906,B|Alpha] [A|Beta] Result Str.
parse [linc_typeDcl _20031,B|Alpha] [A|Beta] Result "reduce" :- 
	memb B (bols :: linc_typeDcl _30276 :: linc_dot :: nil), memb Sym (eols :: linc_seqBody2 _30451 :: nil), first Sym A, !, 
	(_19906 = linc_seqSig _20031 :: nil), parse [linc_seqBody _19906,B|Alpha] [A|Beta] Result Str.
parse [linc_dot,linc_tmList _20081,linc_symHyp,B|Alpha] [A|Beta] Result "reduce" :- 
	memb B (bols :: linc_typeDcl _30779 :: linc_dot :: nil), memb Sym (eols :: linc_seqBody2 _30954 :: nil), first Sym A, !, 
	(_19906 = linc_seqHyp _20081 :: nil), parse [linc_seqBody _19906,B|Alpha] [A|Beta] Result Str.
parse [linc_tmList _20144,linc_comma,linc_term _20132,B|Alpha] [A|Beta] Result "reduce" :- 
	memb B (bols :: linc_symHyp :: linc_comma :: nil), memb Sym (eols :: linc_dot :: nil), first Sym A, !, 
	(_20124 = _20132 :: _20144), parse [linc_tmList _20124,B|Alpha] [A|Beta] Result Str.
parse [linc_term _20186,B|Alpha] [A|Beta] Result "reduce" :- 
	memb B (bols :: linc_symHyp :: linc_comma :: nil), memb Sym (eols :: linc_dot :: nil), first Sym A, !, 
	(_20124 = _20186 :: nil), parse [linc_tmList _20124,B|Alpha] [A|Beta] Result Str.
parse [linc_defnb _20243,linc_dot,id _20231,linc_symDefName,B|Alpha] [A|Beta] Result "reduce" :- 
	memb B (bols :: bofs :: nil), memb Sym (eols :: eofs :: nil), first Sym A, !, 
	(_20220 = linc_definition _20231 _20243), parse [linc_defn _20220,B|Alpha] [A|Beta] Result Str.
parse [linc_dot,id _20288,linc_symDefName,B|Alpha] [A|Beta] Result "reduce" :- 
	memb B (bols :: bofs :: nil), memb Sym (eols :: eofs :: nil), first Sym A, !, 
	(_20220 = linc_definition _20288 nil), parse [linc_defn _20220,B|Alpha] [A|Beta] Result Str.
parse [linc_defnb _20344,linc_kindDcl _20335,B|Alpha] [A|Beta] Result "reduce" :- 
	memb B (bols :: linc_dot :: linc_kindDcl _33045 :: linc_typeDcl _33009 :: linc_defClause _32979 :: nil), memb Sym (eols :: eofs :: nil), first Sym A, !, 
	(_20327 = linc_kindDec _20335 :: _20344), parse [linc_defnb _20327,B|Alpha] [A|Beta] Result Str.
parse [linc_defnb _20399,linc_typeDcl _20390,B|Alpha] [A|Beta] Result "reduce" :- 
	memb B (bols :: linc_dot :: linc_kindDcl _33760 :: linc_typeDcl _33724 :: linc_defClause _33694 :: nil), memb Sym (eols :: eofs :: nil), first Sym A, !, 
	(_20327 = linc_typeDec _20390 :: _20399), parse [linc_defnb _20327,B|Alpha] [A|Beta] Result Str.
parse [linc_defnb _20454,linc_defClause _20445,B|Alpha] [A|Beta] Result "reduce" :- 
	memb B (bols :: linc_dot :: linc_kindDcl _34475 :: linc_typeDcl _34439 :: linc_defClause _34409 :: nil), memb Sym (eols :: eofs :: nil), first Sym A, !, 
	(_20327 = linc_defDec _20445 :: _20454), parse [linc_defnb _20327,B|Alpha] [A|Beta] Result Str.
parse [linc_kindDcl _20501,B|Alpha] [A|Beta] Result "reduce" :- 
	memb B (bols :: linc_dot :: linc_kindDcl _35190 :: linc_typeDcl _35154 :: linc_defClause _35124 :: nil), memb Sym (eols :: eofs :: nil), first Sym A, !, 
	(_20327 = linc_kindDec _20501 :: nil), parse [linc_defnb _20327,B|Alpha] [A|Beta] Result Str.
parse [linc_typeDcl _20549,B|Alpha] [A|Beta] Result "reduce" :- 
	memb B (bols :: linc_dot :: linc_kindDcl _35905 :: linc_typeDcl _35869 :: linc_defClause _35839 :: nil), memb Sym (eols :: eofs :: nil), first Sym A, !, 
	(_20327 = linc_typeDec _20549 :: nil), parse [linc_defnb _20327,B|Alpha] [A|Beta] Result Str.
parse [linc_defClause _20597,B|Alpha] [A|Beta] Result "reduce" :- 
	memb B (bols :: linc_dot :: linc_kindDcl _36620 :: linc_typeDcl _36584 :: linc_defClause _36554 :: nil), memb Sym (eols :: eofs :: nil), first Sym A, !, 
	(_20327 = linc_defDec _20597 :: nil), parse [linc_defnb _20327,B|Alpha] [A|Beta] Result Str.
parse [linc_kindDcls _20653,linc_kindDcl _20644,B|Alpha] [A|Beta] Result "reduce" :- 
	memb B (bols :: linc_kindDcl _37072 :: nil), memb Sym (eols :: nil), first Sym A, !, 
	(append _20644 _20653 _20636), parse [linc_kindDcls _20636,B|Alpha] [A|Beta] Result Str.
parse [linc_kindDcl _20691,B|Alpha] [A|Beta] Result "reduce" :- 
	memb B (bols :: linc_kindDcl _37173 :: nil), memb Sym (eols :: nil), first Sym A, !, 
	(_20636 = _20691), parse [linc_kindDcls _20636,B|Alpha] [A|Beta] Result Str.
parse [linc_dot,linc_symType,id_list _20732,linc_symKind,B|Alpha] [A|Beta] Result "reduce" :- 
	memb B (bols :: linc_dot :: linc_typeDcl _37570 :: linc_defClause _37540 :: linc_kindDcl _37606 :: nil), memb Sym (eols :: linc_defnb _39015 :: eofs :: linc_kindDcls _38979 :: nil), first Sym A, !, 
	(linc_makeKindList _20732 _20721), parse [linc_kindDcl _20721,B|Alpha] [A|Beta] Result Str.
parse [linc_typeDcls _20782,linc_typeDcl _20773,B|Alpha] [A|Beta] Result "reduce" :- 
	memb B (bols :: linc_typeDcl _39135 :: nil), memb Sym (eols :: nil), first Sym A, !, 
	(append _20773 _20782 _20765), parse [linc_typeDcls _20765,B|Alpha] [A|Beta] Result Str.
parse [linc_typeDcl _20820,B|Alpha] [A|Beta] Result "reduce" :- 
	memb B (bols :: linc_typeDcl _39236 :: nil), memb Sym (eols :: nil), first Sym A, !, 
	(_20765 = _20820), parse [linc_typeDcls _20765,B|Alpha] [A|Beta] Result Str.
parse [linc_dot,linc_type _20869,id_list _20861,linc_symType,B|Alpha] [A|Beta] Result "reduce" :- 
	memb B (bols :: linc_dot :: linc_kindDcl _40451 :: linc_defClause _40385 :: linc_typeDcl _39626 :: nil), memb Sym (eols :: linc_seqBody _42173 :: linc_seqBody2 _41540 :: linc_defnb _42125 :: eofs :: linc_typeDcls _42089 :: nil), first Sym A, !, 
	(linc_makeTypeList _20861 _20869 _20850), parse [linc_typeDcl _20850,B|Alpha] [A|Beta] Result Str.
parse [linc_dot,linc_defBody _20922,linc_symDef,linc_defHead _20911,linc_symInd,B|Alpha] [A|Beta] Result "reduce" :- 
	memb B (bols :: linc_dot :: linc_kindDcl _42629 :: linc_typeDcl _42593 :: linc_defClause _42563 :: nil), memb Sym (eols :: linc_defnb _43616 :: eofs :: nil), first Sym A, !, 
	(_20900 = defcl indcl _20911 _20922), parse [linc_defClause _20900,B|Alpha] [A|Beta] Result Str.
parse [linc_dot,linc_defBody _20922,linc_symDef,linc_defHead _20911,linc_symCoInd,B|Alpha] [A|Beta] Result "reduce" :- 
	memb B (bols :: linc_dot :: linc_kindDcl _44046 :: linc_typeDcl _44010 :: linc_defClause _43980 :: nil), memb Sym (eols :: linc_defnb _45033 :: eofs :: nil), first Sym A, !, 
	(_20900 = defcl coindcl _20911 _20922), parse [linc_defClause _20900,B|Alpha] [A|Beta] Result Str.
parse [id _21031,B|Alpha] [A|Beta] Result "reduce" :- 
	memb B (bols :: linc_symInd :: linc_symCoInd :: nil), memb Sym (eols :: linc_symDef :: nil), first Sym A, !, 
	(_21022 = fvar _21031), parse [linc_defHead _21022,B|Alpha] [A|Beta] Result Str.
parse [linc_term _21073,B|Alpha] [A|Beta] Result "reduce" :- 
	memb B (bols :: linc_symDef :: nil), memb Sym (eols :: linc_dot :: nil), first Sym A, !, 
	(_21064 = _21073), parse [linc_defBody _21064,B|Alpha] [A|Beta] Result Str.
parse [id _21110,B|Alpha] [A|Beta] Result "reduce" :- 
	memb B (bols :: linc_symGoal :: linc_symHyp :: linc_comma :: linc_symDef :: lparen :: linc_symEq :: linc_term _48037 :: linc_symAbs :: linc_symAnd :: linc_symOr :: linc_symImp :: linc_symAll :: linc_symExists :: nil), memb Sym (eols :: linc_comma :: linc_dot :: rparen :: linc_symEq :: linc_term _49705 :: linc_symAnd :: linc_symOr :: linc_symImp :: nil), first Sym A, !, 
	(_21101 = fvar _21110), parse [linc_term _21101,B|Alpha] [A|Beta] Result Str.
parse [rparen,linc_term _21154,lparen,B|Alpha] [A|Beta] Result "reduce" :- 
	memb B (bols :: linc_symGoal :: linc_symHyp :: linc_comma :: linc_symDef :: lparen :: linc_symEq :: linc_term _51990 :: linc_symAbs :: linc_symAnd :: linc_symOr :: linc_symImp :: linc_symAll :: linc_symExists :: nil), memb Sym (eols :: linc_comma :: linc_dot :: rparen :: linc_symEq :: linc_term _53658 :: linc_symAnd :: linc_symOr :: linc_symImp :: nil), first Sym A, !, 
	(_21101 = _21154), parse [linc_term _21101,B|Alpha] [A|Beta] Result Str.
parse [linc_term _21206,linc_symEq,linc_term _21194,B|Alpha] [A|Beta] Result "reduce" :- 
	memb B (bols :: linc_symGoal :: linc_symHyp :: linc_comma :: linc_symDef :: lparen :: linc_symEq :: linc_term _55943 :: linc_symAbs :: linc_symAnd :: linc_symOr :: linc_symImp :: linc_symAll :: linc_symExists :: nil), memb Sym (eols :: linc_comma :: linc_dot :: rparen :: linc_symEq :: linc_term _57611 :: linc_symAnd :: linc_symOr :: linc_symImp :: nil), first Sym A, !, 
	(_21101 = (leq @ _21194 @ _21206)), parse [linc_term _21101,B|Alpha] [A|Beta] Result Str.
parse [linc_term _21263,linc_term _21254,B|Alpha] [A|Beta] Result "reduce" :- 
	memb B (bols :: linc_symGoal :: linc_symHyp :: linc_comma :: linc_symDef :: lparen :: linc_symEq :: linc_term _59896 :: linc_symAbs :: linc_symAnd :: linc_symOr :: linc_symImp :: linc_symAll :: linc_symExists :: nil), memb Sym (eols :: linc_comma :: linc_dot :: rparen :: linc_symEq :: linc_term _61564 :: linc_symAnd :: linc_symOr :: linc_symImp :: nil), first Sym A, !, 
	(_21101 = (_21254 @ _21263)), parse [linc_term _21101,B|Alpha] [A|Beta] Result Str.
parse [linc_term _21328,linc_symAbs,linc_type _21316,linc_colon,id _21305,B|Alpha] [A|Beta] Result "reduce" :- 
	memb B (bols :: linc_symGoal :: linc_symHyp :: linc_comma :: linc_symDef :: lparen :: linc_symEq :: linc_term _63849 :: linc_symAbs :: linc_symAnd :: linc_symOr :: linc_symImp :: linc_symAll :: linc_symExists :: nil), memb Sym (eols :: linc_comma :: linc_dot :: rparen :: linc_symEq :: linc_term _65517 :: linc_symAnd :: linc_symOr :: linc_symImp :: nil), first Sym A, !, 
	(linc_makeAbs _21305 _21328 _21341 , _21101 = lam _21316 _21341), parse [linc_term _21101,B|Alpha] [A|Beta] Result Str.
parse [linc_symTrue,B|Alpha] [A|Beta] Result "reduce" :- 
	memb B (bols :: linc_symGoal :: linc_symHyp :: linc_comma :: linc_symDef :: lparen :: linc_symEq :: linc_term _67802 :: linc_symAbs :: linc_symAnd :: linc_symOr :: linc_symImp :: linc_symAll :: linc_symExists :: nil), memb Sym (eols :: linc_comma :: linc_dot :: rparen :: linc_symEq :: linc_term _69470 :: linc_symAnd :: linc_symOr :: linc_symImp :: nil), first Sym A, !, 
	(_21101 = ltrue), parse [linc_term _21101,B|Alpha] [A|Beta] Result Str.
parse [linc_symFalse,B|Alpha] [A|Beta] Result "reduce" :- 
	memb B (bols :: linc_symGoal :: linc_symHyp :: linc_comma :: linc_symDef :: lparen :: linc_symEq :: linc_term _71755 :: linc_symAbs :: linc_symAnd :: linc_symOr :: linc_symImp :: linc_symAll :: linc_symExists :: nil), memb Sym (eols :: linc_comma :: linc_dot :: rparen :: linc_symEq :: linc_term _73423 :: linc_symAnd :: linc_symOr :: linc_symImp :: nil), first Sym A, !, 
	(_21101 = lfalse), parse [linc_term _21101,B|Alpha] [A|Beta] Result Str.
parse [linc_term _21459,linc_symAnd,linc_term _21447,B|Alpha] [A|Beta] Result "reduce" :- 
	memb B (bols :: linc_symGoal :: linc_symHyp :: linc_comma :: linc_symDef :: lparen :: linc_symEq :: linc_term _75708 :: linc_symAbs :: linc_symAnd :: linc_symOr :: linc_symImp :: linc_symAll :: linc_symExists :: nil), memb Sym (eols :: linc_comma :: linc_dot :: rparen :: linc_symEq :: linc_term _77376 :: linc_symAnd :: linc_symOr :: linc_symImp :: nil), first Sym A, !, 
	(_21101 = (land @ _21447 @ _21459)), parse [linc_term _21101,B|Alpha] [A|Beta] Result Str.
parse [linc_term _21519,linc_symOr,linc_term _21507,B|Alpha] [A|Beta] Result "reduce" :- 
	memb B (bols :: linc_symGoal :: linc_symHyp :: linc_comma :: linc_symDef :: lparen :: linc_symEq :: linc_term _79661 :: linc_symAbs :: linc_symAnd :: linc_symOr :: linc_symImp :: linc_symAll :: linc_symExists :: nil), memb Sym (eols :: linc_comma :: linc_dot :: rparen :: linc_symEq :: linc_term _81329 :: linc_symAnd :: linc_symOr :: linc_symImp :: nil), first Sym A, !, 
	(_21101 = (lor @ _21507 @ _21519)), parse [linc_term _21101,B|Alpha] [A|Beta] Result Str.
parse [linc_term _21579,linc_symImp,linc_term _21567,B|Alpha] [A|Beta] Result "reduce" :- 
	memb B (bols :: linc_symGoal :: linc_symHyp :: linc_comma :: linc_symDef :: lparen :: linc_symEq :: linc_term _83614 :: linc_symAbs :: linc_symAnd :: linc_symOr :: linc_symImp :: linc_symAll :: linc_symExists :: nil), memb Sym (eols :: linc_comma :: linc_dot :: rparen :: linc_symEq :: linc_term _85282 :: linc_symAnd :: linc_symOr :: linc_symImp :: nil), first Sym A, !, 
	(_21101 = (limp @ _21567 @ _21579)), parse [linc_term _21101,B|Alpha] [A|Beta] Result Str.
parse [linc_term _21631,linc_symAll,B|Alpha] [A|Beta] Result "reduce" :- 
	memb B (bols :: linc_symGoal :: linc_symHyp :: linc_comma :: linc_symDef :: lparen :: linc_symEq :: linc_term _87567 :: linc_symAbs :: linc_symAnd :: linc_symOr :: linc_symImp :: linc_symAll :: linc_symExists :: nil), memb Sym (eols :: linc_comma :: linc_dot :: rparen :: linc_symEq :: linc_term _89235 :: linc_symAnd :: linc_symOr :: linc_symImp :: nil), first Sym A, !, 
	(_21101 = (lall @ _21631)), parse [linc_term _21101,B|Alpha] [A|Beta] Result Str.
parse [linc_term _21677,linc_symExists,B|Alpha] [A|Beta] Result "reduce" :- 
	memb B (bols :: linc_symGoal :: linc_symHyp :: linc_comma :: linc_symDef :: lparen :: linc_symEq :: linc_term _91520 :: linc_symAbs :: linc_symAnd :: linc_symOr :: linc_symImp :: linc_symAll :: linc_symExists :: nil), memb Sym (eols :: linc_comma :: linc_dot :: rparen :: linc_symEq :: linc_term _93188 :: linc_symAnd :: linc_symOr :: linc_symImp :: nil), first Sym A, !, 
	(_21101 = (lexists @ _21677)), parse [linc_term _21101,B|Alpha] [A|Beta] Result Str.
parse [id _21720,B|Alpha] [A|Beta] Result "reduce" :- 
	memb B (bols :: id_list _93954 :: linc_colon :: telparen :: linc_symArr :: nil), memb Sym (eols :: linc_dot :: linc_symAbs :: rparen :: linc_symArr :: nil), first Sym A, !, 
	(_21711 = bt _21720), parse [linc_type _21711,B|Alpha] [A|Beta] Result Str.
parse [linc_symFormt,B|Alpha] [A|Beta] Result "reduce" :- 
	memb B (bols :: id_list _94937 :: linc_colon :: telparen :: linc_symArr :: nil), memb Sym (eols :: linc_dot :: linc_symAbs :: rparen :: linc_symArr :: nil), first Sym A, !, 
	(_21711 = fo), parse [linc_type _21711,B|Alpha] [A|Beta] Result Str.
parse [rparen,linc_type _21796,telparen,B|Alpha] [A|Beta] Result "reduce" :- 
	memb B (bols :: id_list _95920 :: linc_colon :: telparen :: linc_symArr :: nil), memb Sym (eols :: linc_dot :: linc_symAbs :: rparen :: linc_symArr :: nil), first Sym A, !, 
	(_21711 = _21796), parse [linc_type _21711,B|Alpha] [A|Beta] Result Str.
parse [linc_type _21848,linc_symArr,linc_type _21836,B|Alpha] [A|Beta] Result "reduce" :- 
	memb B (bols :: id_list _96903 :: linc_colon :: telparen :: linc_symArr :: nil), memb Sym (eols :: linc_dot :: linc_symAbs :: rparen :: linc_symArr :: nil), first Sym A, !, 
	(_21711 = (_21836 --> _21848)), parse [linc_type _21711,B|Alpha] [A|Beta] Result Str.
parse [id _21891,B|Alpha] [A|Beta] Result "reduce" :- 
	memb B (bols :: linc_symKind :: linc_symType :: nil), memb Sym (eols :: linc_symType :: linc_type _97986 :: linc_comma :: nil), first Sym A, !, 
	(_21882 = _21891 :: nil), parse [id_list _21882,B|Alpha] [A|Beta] Result Str.
parse [id _21942,nontermst _21933,B|Alpha] [A|Beta] Result "reduce" :- 
	memb B (bols :: linc_symKind :: linc_symType :: nil), memb Sym (eols :: linc_symType :: linc_type _98578 :: linc_comma :: nil), first Sym A, !, 
	(_21882 = _21942 :: _21933), parse [id_list _21882,B|Alpha] [A|Beta] Result Str.
parse [linc_comma,id_list _21983,B|Alpha] [A|Beta] Result "reduce" :- 
	memb B (bols :: linc_symKind :: linc_symType :: nil), memb Sym (eols :: id _98995 :: nil), first Sym A, !, 
	(_21975 = _21983), parse [nontermst _21975,B|Alpha] [A|Beta] Result Str.
parse [lparen,B|Alpha] [A|Beta] Result "reduce" :- 
	memb B (bols :: id_list _99506 :: linc_colon :: telparen :: linc_symArr :: nil), memb Sym (eols :: linc_type _99637 :: nil), first Sym A, !, 
	(true), parse [telparen,B|Alpha] [A|Beta] Result Str.

parse V I R "error" :- !, finderrline V I,print "Remaining Input = ", print_tokens 10 I, !, fail.
